
package de.frankmuenster.mahoe.banks.targobank.assistant;

import de.frankmuenster.mahoe.assistant.CreateInfo;

/**
 * Bentigte Informationen zum Erstellen eines MahoeMain Kontos
 *
 * @author Frank Mnster
 */
public class TargoBankCreateInfo extends CreateInfo {

    /**
     * Das Kartenkonto
     */
    private String cardAccount;

    /**
     * Die Kartennummer
     */
    private String cardNumber;

    /**
     * Der Anbietertext
     */
    private String company;

    /**
     * Login
     */
    private String login;

    /**
     * Standardkonstruktor
     */
    public TargoBankCreateInfo() {
        super();
    }

    /**
     * @return the cardAccount
     */
    public String getCardAccount() {

        return this.cardAccount;
    }

    /**
     * @return the cardNumber
     */
    public String getCardNumber() {

        return this.cardNumber;
    }

    /**
     * @return the company
     */
    public String getCompany() {

        return this.company;
    }

    /**
     * @return the login
     */
    public String getLogin() {

        return this.login;
    }

    /**
     * @param cardAccount
     *            the cardAccount to set
     */
    public void setCardAccount(final String cardAccount) {

        this.cardAccount = cardAccount;
    }

    /**
     * @param cardNumber
     *            the cardNumber to set
     */
    public void setCardNumber(final String cardNumber) {

        this.cardNumber = cardNumber;
    }

    /**
     * @param company
     *            the company to set
     */
    public void setCompany(final String company) {

        this.company = company;
    }

    /**
     * @param login
     *            the login to set
     */
    public void setLogin(final String login) {

        this.login = login;
    }

}
